# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # US PINless debit Consumers use US PINless debit cards for online bill payment and purchase transactions. PINless debit methods of payment must be enabled on your J.P. Morgan account profile. During onboarding, select the type of PINless debit transactions you process from the following options: - Acceptance of bill pay transactions - Acceptance of online purchase transactions Also during onboarding, select from one of the following PINless debit transaction routing options: - [Merchant-directed routing](/docs/commerce/online-payments/capabilities/online-payments/payment-methods/cards/routing#merchantdirected-routing) - [Acquirer-managed routing](/docs/commerce/online-payments/capabilities/online-payments/payment-methods/cards/routing#acquirermanaged-routing) **PINless debit network preference** To provide a debit network routing preference for an online bill payment or purchase transaction, indicate the name of the debit network in the `preferredPaymentNetworkNameList` field. The `cardType` and `cardTypeName` fields in the response indicate where the transaction was processed. > > - You must send a PINless debit void transaction within 90 minutes of the original transaction. > > - Partial authorization reversals are not available for PINless debit. > **PINless debit request fields** | Field | PINless Type | Required | | --- | --- | --- | | accountHolder.billingAddress | Online purchase | | | paymentMethodType.card.isBillPayment | Bill pay | Yes | | paymentMethodType.card.merchantPreferredRouting | Bill pay and online purchase | | | paymentMethodType.card.merchantSalesChannelName | Bill pay and online purchase | | | paymentMethodType.card.preferredPaymentNetworkNameList | Bill pay and online purchase | | | accountHolder.referenceId | Bill pay | Yes | **PINless debit response fields** | Field | Description | | --- | --- | | paymentMethodType.card.networkResponse.debitTraceNumber | The reference number generated for the debit transaction. | **HTTP method**: `POST` **Endpoint**: `/payments` ```json { "captureMethod": "MANUAL", "amount": 10000, "currency": "USD", "paymentMethodType": { "card": { "accountNumber": "4935550000000006", "expiry": { "month": 12, "year": 2027 }, "cvv": 411, "isBillPayment": true, "merchantPreferredRouting": "PINLESS", "merchantSalesChannelName": "MAIL_ORDER_TELEPHONE_ORDER", "preferredPaymentNetworkNameList": [ "STAR_PINLESS" ] } }, "merchant": { "merchantSoftware": { "companyName": "Payment Company", "productName": "Application Name" } }, "accountHolder": { "referenceId": "ABC123GHI9807654" } } ``` **Response:** ```json { "transactionId": "35ee1207-1831-40d8-a2ce-86aa993843cf", "requestId": "e7ba7368-5468-41a6-8dbb-039cc72ee553", "transactionState": "AUTHORIZED", "responseStatus": "SUCCESS", "responseCode": "APPROVED", "responseMessage": "Transaction approved by Issuer", "paymentMethodType": { "card": { "cardType": "SP", "cardTypeName": "STAR_PINLESS", "isBillPayment": true, "maskedAccountNumber": "493555XXXXXX0006", "networkResponse": { "addressVerificationResult": "NOT_REQUESTED", "additionalData": { "electronicCommerceIndicator": "1", "authorizationResponseCategory": "X - Not supported MOP" }, "networkResponseCode": "00", "debitTraceNumber": "00195881" }, "preferredPaymentNetworkNameList": [ "STAR_PINLESS" ], "merchantSalesChannelName": "MAIL_ORDER_TELEPHONE_ORDER", "merchantPreferredRouting": "PINLESS" } }, "captureMethod": "MANUAL", "initiatorType": "CARDHOLDER", "accountOnFile": "NOT_STORED", "isVoid": false, "transactionDate": "2024-03-14T18:10:29.056Z", "approvalCode": "093217", "hostMessage": "Approved", "amount": 10000, "currency": "USD", "remainingAuthAmount": 10000, "hostReferenceId": "zr1HxWwReEJr0Zlg1niwV3", "statementDescriptor": "star-merchant", "merchant": { "merchantId": "000017904374", "merchantSoftware": { "companyName": "Payment Company", "productName": "Application Name" }, "merchantCategoryCode": "4899" }, "paymentRequest": { "paymentRequestId": "35ee1207-1831-40d8-a2ce-86aa993843cf", "paymentRequestStatus": "PENDING", "authorizations": [ { "authorizationId": "35ee1207-1831-40d8-a2ce-86aa993843cf", "amount": 10000, "transactionStatusCode": "AUTHORIZED", "authorizationType": "INITIAL" } ] } } ``` ## Related [Merchant-directed routing](/docs/commerce/online-payments/capabilities/online-payments/payment-methods/cards/routing#merchantdirected-routing) [Acquirer-managed routing](/docs/commerce/online-payments/capabilities/online-payments/payment-methods/cards/routing#acquirermanaged-routing)